

  function change_logodefault()
  {
    if($("#ilicence_logo").val()=="text")
    {
      $("#logodefault").html(get_licence_text($("#ilicence_default").val(), true));
    }
    else
    {
      $("#logodefault").html("<img src='"+imgDir+
            $("#ilicence_default").val().toLowerCase()+"_"+
            $("#ilicence_logo").val()+".png'>");
    }
    change_example();
  }

  function change_example()
  {
    var str = $("#itext").val();

    //var re = new RegExp('\\[logo=80x15\\]|\\[logo=88x31\\]|\\[logo=text\\]', "i");
    var re = new RegExp('\\[logo=80x15\\]', "i");
    img = "<img class='logo80x15' src='"+imgDir+$("#ilicence_default").val().toLowerCase()+"_80x15.png'>";
    str = str.replace(re, img);

    var re = new RegExp('\\[logo=88x31\\]', "i");
    img = "<img class='logo88x31' src='"+imgDir+$("#ilicence_default").val().toLowerCase()+"_88x31.png'>";
    str = str.replace(re, img);

    var re = new RegExp('\\[logo=text\\]', "i");
    txt = get_licence_text($("#ilicence_default").val(), false);
    str = str.replace(re, txt);

    $("#textexample").html(str);
  }

  function init()
  {
    // initialize translations
    objlang = document.getElementById('islang');
    objlang2 = document.getElementById('iurlslang');

    for(i=0;i<objnames.length;i++)
    {
      objinput[i] = document.getElementById(objnames[i]);
      objhidden[i] = new Array();
      for(j=0;j<objlang.options.length;j++)
      {
        objhidden[i][j] = document.getElementById(objnames[i]+'_'+objlang.options[j].value);
      }
    }
    for(i=0;i<objnames2.length;i++)
    {
      objinput2[i] = document.getElementById(objnames2[i]);
      objhidden2[i] = new Array();
      for(j=0;j<objlang.options.length;j++)
      {
        objhidden2[i][j] = document.getElementById(objnames2[i]+'_'+objlang.options[j].value);
      }
    }

    tipHelp = new simpleTip();
    $('.icnhelp').each( function (index)
      {
        tipHelp.doAction('add', this,
          {
            targetPos:'top-middle',
            tipPos:'bottom-middle',
            offsetY:10,
            drawArrow:true
          }
        );
      }
    );


  }

  function change_lang()
  {
    for(i=0;i<objnames.length;i++)
    {
      objinput[i].value = objhidden[i][objlang.options.selectedIndex].value;
    }
    change_example();
  }

  function change_urllang()
  {
    for(i=0;i<objnames2.length;i++)
    {
      objinput2[i].value = objhidden2[i][objlang2.options.selectedIndex].value;
    }
  }


  function apply_changes(input_id)
  {
    var obj=document.getElementById(input_id);
    objhidden[objnames.indexOf(input_id)][objlang.options.selectedIndex].value = obj.value;

    change_example();
  }

  function apply_changes2(input_id)
  {
    var obj=document.getElementById(input_id);
    objhidden2[objnames2.indexOf(input_id)][objlang2.options.selectedIndex].value = obj.value;
  }


$(window).load(function () {
  change_logodefault();
  init();
  change_lang();
  change_urllang();
});
